#include <mega8.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x80
	.EQU __sm_mask=0x70
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0x60
	.EQU __sm_ext_standby=0x70
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
#include <delay.h>
#include <stdio.h>

#asm
   .equ __lcd_port=0x18 ;PORTB
#endasm
#include <lcd.h>



void init(void){


 #asm ("sei");
 lcd_init(16);                    // инициализация экрана
 }

void main(void)
{
  init();

  lcd_gotoxy(0,0);                 //  идем в нулевую точку
  lcd_putsf("-=ADC&UART&LCD=-");  //  печатаем
  lcd_gotoxy(3,1);                //  идем в точку
  lcd_putsf("-=Aliens=-");       //  печатаем



 while(1){


 }
 }
